Index: branches/new_class_id/src/lib/util/loading/load_param_class_description.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9771)
+++ branches/new_class_id/src/lib/util/loading/load_param_class_description.cc	(revision 9772)
@@ -55,4 +55,5 @@
   ParamDescriptionMap::iterator it = LoadParamClassDescription::getParamDescription(classID, paramName);
 
+  (*it).second.setDescription(descriptionText);
 }
 
@@ -65,5 +66,5 @@
 {
   ParamDescriptionMap::iterator it = LoadParamClassDescription::getParamDescription(classID, paramName);
-
+  (*it).second.setValues(paramCount, defaultValues, retVal);
 }
 
@@ -126,5 +127,5 @@
          ++param)
     {
-    ///  (*param).second.print();
+      (*param).second.print();
     }
     PRINT(0)("</%s>\n\n", (*classIt).second._className.c_str());
Index: branches/new_class_id/src/lib/util/loading/load_param_description.cc
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9771)
+++ branches/new_class_id/src/lib/util/loading/load_param_description.cc	(revision 9772)
@@ -23,5 +23,5 @@
  */
 LoadParamDescription::LoadParamDescription(const std::string& paramName)
-  : _name(paramName)
+    : _name(paramName), _parameterCount(0)
 { }
 
@@ -30,6 +30,5 @@
  */
 LoadParamDescription::~LoadParamDescription()
-{
-}
+{}
 
 /**
@@ -41,4 +40,18 @@
 }
 
+void LoadParamDescription::setValues(unsigned int paramCount,
+                                     const MultiType* const defaultValues,
+                                     bool retVal)
+{
+  this->_parameterCount = paramCount;
+  for (unsigned int i = 0; i < paramCount; ++i)
+  {
+    this->_defaultValues.push_back(defaultValues[i].getString());
+    this->_types.push_back(MultiType::MultiTypeToString(defaultValues[i].getType()));
+  }
+
+}
+
+
 /**
  *  prints out this parameter, its input method and the description (if availiable)
@@ -46,5 +59,5 @@
 void LoadParamDescription::print() const
 {
-  PRINT(3)(" <%s>", this->_name.c_str());
+  PRINT(0)(" <%s>", this->_name.c_str());
   for (unsigned int i = 0; i < this->_parameterCount; i++)
   {
@@ -53,35 +66,35 @@
     // FIXME
     //     switch (this->types[i])
-//     {
-//       default:
-//         PRINTF(3)("none");
-//         break;
-//       case ParameterBool:
-//         PRINT(3)("bool");
-//         break;
-//       case ParameterChar:
-//         PRINT(3)("char");
-//         break;
-//       case ParameterString:
-//         PRINT(3)("string");
-//         break;
-//       case ParameterInt:
-//         PRINT(3)("int");
-//         break;
-//       case ParameterUInt:
-//         PRINT(3)("Uint");
-//         break;
-//       case ParameterFloat:
-//         PRINT(3)("float");
-//         break;
-//       case ParameterLong:
-//         PRINT(3)("long");
-//         break;
-//       case ParameterXML:
-//         PRINT(3)("XML");
-//         break;
-//     }
+    //     {
+    //       default:
+    //         PRINTF(3)("none");
+    //         break;
+    //       case ParameterBool:
+    //         PRINT(3)("bool");
+    //         break;
+    //       case ParameterChar:
+    //         PRINT(3)("char");
+    //         break;
+    //       case ParameterString:
+    //         PRINT(3)("string");
+    //         break;
+    //       case ParameterInt:
+    //         PRINT(3)("int");
+    //         break;
+    //       case ParameterUInt:
+    //         PRINT(3)("Uint");
+    //         break;
+    //       case ParameterFloat:
+    //         PRINT(3)("float");
+    //         break;
+    //       case ParameterLong:
+    //         PRINT(3)("long");
+    //         break;
+    //       case ParameterXML:
+    //         PRINT(3)("XML");
+    //         break;
+    //     }
   }
-  PRINT(3)("</%s>", this->_name.c_str());
+  PRINT(0)("</%s>", this->_name.c_str());
   if (!this->_description.empty())
     PRINT(3)(" -- %s", this->_description.c_str());
@@ -89,21 +102,21 @@
   if (this->_parameterCount > 0)
   {
-    PRINT(3)(" (Default: ");
+    PRINT(0)(" (Default: ");
     for (unsigned int i = 0; i < this->_parameterCount; i++)
     {
       if (i > 0)
-        PRINT(3)(", ");
+        PRINT(0)(", ");
       if (this->_types[i] == "string")
       { // leave brackets !!
-	PRINT(3)("\"%s\"", this->_defaultValues[i].c_str());
+        PRINT(0)("\"%s\"", this->_defaultValues[i].c_str());
       }
       else
       {
-	PRINT(3)("%s", this->_defaultValues[i].c_str());
+        PRINT(0)("%s", this->_defaultValues[i].c_str());
       }
     }
-    PRINT(3)(")");
+    PRINT(0)(")");
   }
-  PRINT(3)("\n");
+  PRINT(0)("\n");
 }
 
Index: branches/new_class_id/src/lib/util/loading/load_param_description.h
===================================================================
--- branches/new_class_id/src/lib/util/loading/load_param_description.h	(revision 9771)
+++ branches/new_class_id/src/lib/util/loading/load_param_description.h	(revision 9772)
@@ -43,4 +43,7 @@
 
   void setDescription(const std::string& descriptionText);
+  void setValues(unsigned int paramCount,
+		 const MultiType* const defaultValues,
+		 bool retVal = false);
   /** @returns the descriptionString */
   const std::string& description() { return this->_description; };
